org.apache.ignite.internal.visor.debug

## Class VisorThreadLockInfo

- java.lang.Object
- - org.apache.ignite.internal.visor.debug.VisorThreadLockInfo

All Implemented Interfaces:
  Serializable, LessNamingBean

Direct Known Subclasses:
  VisorThreadMonitorInfo

    public class VisorThreadLockInfo
    extends Object
    implements Serializable, LessNamingBean

Data transfer object for `LockInfo`.

See Also:
  Serialized Form

### Field Summary

Fields
`protected String` `clsName` Fully qualified name of the class of the lock object.
`protected Integer` `identityHashCode` Identity hash code of the lock object.

### Constructor Summary

Constructors
Constructor and Description
`VisorThreadLockInfo(String clsName, Integer identityHashCode)` Create thread lock info with given parameters.

### Method Summary

Methods
`String` `className()`
`static VisorThreadLockInfo` `from(LockInfo li)` Create data transfer object for given lock info.
`Integer` `identityHashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### clsName

    protected final String clsName

Fully qualified name of the class of the lock object.

#### identityHashCode

    protected final Integer identityHashCode

Identity hash code of the lock object.

### Constructor Detail

#### VisorThreadLockInfo

    public VisorThreadLockInfo(String clsName,
                       Integer identityHashCode)

Create thread lock info with given parameters.

### Method Detail

#### from

    public static VisorThreadLockInfo from(LockInfo li)

Create data transfer object for given lock info.

#### className

    public String className()

Returns:
  Fully qualified name of the class of the lock object.

#### identityHashCode

    public Integer identityHashCode()

Returns:
  Identity hash code of the lock object.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.8.0
Release Date | : December 5 2016